@import url('/assets/fonts/Raleway-VariableFont.css');
/* @import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap'); */
@import url('/assets/fontawesome-free-7.1.0-web/css/all.min.css');
@import url('/assets/css/bootstrap.min.css');

/* Global */

:root {
    --brown-light-color: #9E8E85;
    --brown-dark-color: #402B21;
    --green-color: #717F68;
    --blue-color: #004e65;
    --white-color: #ffffff;
    --linen-color: #F5EFE6;
    --dark-linen-color: #e5d8c7;
    --black-color: #212121;

    --border-radius: 7px;
}

html {
    font-size: 16px;
}

a {
    color: var(--blue-color);
}

body {
    background: var(--linen-color);
    background-image: url(/assets/img/noise.png);
    font-family: "Raleway", sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
    font-size: 1rem;

    display: flex;
    min-height: 100vh;
    flex-direction: column;
}

.green-text {
    color: var(--green-color);
}

.brown-light-text {
    color: var(--brown-light-color);
}

.breadcrumb {
    flex-wrap: nowrap;
    align-items: center;
    margin: 0;
    
    & .breadcrumb-item {
        white-space: nowrap;
        
        &.breadcrumb-item::before {
            float: none;
        }
        
        & a {
            color: var(--green-color);
            text-decoration: none;
        }
    }
}

header .navbar {
    width:100%;
    .nav-wrapper {
        align-items: center;
        width:100%;
        /* padding-right: calc(var(--bs-gutter-x) * .5);
        padding-left: calc(var(--bs-gutter-x) * .5); */
    }  
}

.header {
    padding-top: 20px;
    padding-bottom: 20px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 20px;

    .header__logo {
        height: 130px;
    }

    .header__nav {
        display: flex;
        flex-direction: column;
        width: 100%;
        gap: 10px;

        .nav__top {
            height: 60px;
            display: flex;
            align-items: center;
            justify-content: flex-end;
            gap: 10px;
        }

        .icon__button {
            width: 48px;
            height: 48px;
            padding: 0;
            font-size: 1.2rem;
        }

        .nav__divider {
            height: 2px;
            width: 100%;
            background-color: var(--brown-light-color);
            background: linear-gradient(90deg,rgba(158, 142, 133, 0) 0%, rgba(158, 142, 133, 1) 100%);
        }

        .nav__menu {
            display: flex;
            justify-content: flex-end;
            gap: 20px;
            
            @media screen and (max-width: 960px){
                justify-content: center;
                flex-direction: row;
                flex-wrap: wrap;
            }
            
        }

        .nav-menu__link {
            color: var(--brown-dark-color);
            text-decoration: none;
            font-size: 0.9rem;
            text-transform: uppercase;
            font-weight: 500;
        }
    }

    @media screen and (max-width: 960px){
        .header__nav {
            .nav__top {
                display: none;
            }

            .nav__divider {
                display: none;
            }
        }
    }


    @media screen and (max-width: 760px){
        .header__logo {
            height: 100px;
        }
    }
}

main {
    flex: 1 0 auto;
}

.page-title {
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 20px;

    .h1 {
        font-size: 1.6rem;
        font-weight: 500;
        color: var(--brown-light-color);
        text-transform: uppercase;
        white-space: nowrap;
        margin: 0;
    }
    
    .line {
        width: 100%;
        height: 2px;
        background-color: var(--brown-light-color);
        background: linear-gradient(90deg, rgba(158, 142, 133, 0) 0%, rgba(158, 142, 133, 1) 100%);

        &.after {
           transform: scaleX(-1) translateX(-20px);
        }
    }
    
    @media screen and (max-width: 960px) {
        flex-wrap: wrap;
        
        .h1 {
            font-size: 1.4rem;
            font-weight: 600;
            white-space: wrap;
        }
    }
}

.divider {
    width: 100%;
    height: 2px;
    background-color: var(--brown-light-color);
}

.section {
    padding: 40px 0 40px 0;

    .section-title {
        color: var(--brown-light-color);
        font-size: 32px;
        font-weight: 400;
        line-height: 105%;
        letter-spacing: 1px;
        text-align: center;
        text-transform: uppercase;
        margin-bottom: 60px;

        &::after {
            content: '';
            display: block;
            background-image: url(/assets/img/detail-hair.svg);
            background-repeat: no-repeat;
            background-position: center;
            background-size: contain;
            width: 120px;
            height: 100px;
            position: absolute;
            left: calc(50% - 60px);
            bottom: -80px;
        }
    }

    @media screen and (max-width: 760px){
        padding: 20px 0 20px 0;
    }
}


.about-section {
    margin-top: 40px;
    .detail-feather {
        top: -40px;
        right: -60px;
        width: 140px;
        height: 168px;
        background-image: url(/assets/img/detail-feather.svg);
        background-position: center;
        background-size: contain;
        background-repeat: no-repeat;

        @media screen and (max-width: 800px) {
            display: none;
        }
    }
}

.infographics-card {
    background-color: var(--green-color);
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: 20px;
    padding: 40px;
    margin-bottom: calc(var(--bs-gutter-x));

    .infographics-card__image {
        min-width: 140px;
        max-width: 140px;
        height: 140px;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 10px;
        padding: 20px 20px 0px 0px;

        box-sizing: border-box;
        border-right: 1px solid var(--linen-color);
        border-top: 1px solid var(--linen-color);
    }

    .infographics-card__content {
        color: var(--linen-color);
        font-weight: 400;
        line-height: 16px;
        letter-spacing: 0px;
        text-align: left;

        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
        gap: 10px;
    }

    .infographics-card__title {
        font-size: 24px;
    }

    .infographics-card__description {
        font-size: 16px;
    }
}

.button {
    display: inline-flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 10px;
    padding: 14px 24px 14px 24px;
    box-sizing: border-box;
    border: 2px solid var(--brown-light-color);
    border-radius: 50px;
    color: var(--brown-light-color);
    font-size: 1rem;
    font-weight: 600;
    line-height: 100%;
    text-align: center;
    text-decoration: none;
    transition: 0.5s ease-in-out;

    &:hover {
        background-color: var(--green-color);
        color: var(--linen-color);
        border-color: var(--green-color);
    }

    &.button-small {
        gap: 6px;
        padding: 8px 16px 8px 16px;
        font-size: 0.8rem;
    }
}

.videocarousel {
    .videocarousel__title {
        font-size: 4rem;
        font-weight: 300;
        line-height: 96%;
        color: var(--linen-color);
    }
    .videocarousel-button {
        display: inline-flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 10px;
        padding: 14px 24px 14px 24px;
        box-sizing: border-box;
        border: 2px solid var(--linen-color);
        border-radius: 50px;
        color: var(--linen-color);
        font-size: 16px;
        font-weight: 600;
        line-height: 100%;
        text-align: center;
        text-decoration: none;
        transition: 0.5s ease-in-out;

        &:hover {
            background-color: var(--linen-color);
            color: var(--green-color);
        }
    }
}

.carousel-caption-container {
    .carousel-caption {
        bottom: 5rem;
    }
}

.offer-card {
    width: 100%;
    aspect-ratio: 16 / 9;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    padding: 40px;
    gap: 20px;
    margin-bottom: calc(var(--bs-gutter-x));
    overflow: hidden;

    .offer-card__image {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: -1;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        transition: 0.5s ease-in-out;
    }

    &:hover {
        .offer-card__image {
            transform: scale(1.1);
        }
    }

    .offer-card__content {
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
        gap: 10px;
        color: var(--linen-color);

        .offer-card__title {
            font-size: 42px;
            font-weight: 400;
            line-height: 40px;
            letter-spacing: 0px;
            text-align: left;
        }

        .offer-card__description {
            font-size: 18px;
            font-weight: 500;
            line-height: 21px;
            letter-spacing: 0px;
            text-align: left;
        }
    }

    .offer-card__buttons-container {
        display: flex;

        .offer-card__button {
            border-color: var(--linen-color);
            color: var(--linen-color);
            transition: .5s ease-in-out;

            &:hover {
                background-color: var(--linen-color);
                color: var(--green-color);
            }
        }
    }

    @media screen and (max-width: 576px) {
        aspect-ratio: auto;
        height: auto;
        padding: 20px;
    }
}

.service-card {
    display: flex;
    flex-direction: column;
    gap: 20px;
    /* border: 1px solid var(--brown-light-color); */
    background-color: var(--dark-linen-color);
    border-radius: var(--border-radius);
    padding: 40px;
    margin-bottom: 20px;

    .buttton_mobile {
        display: none;
    }

    .service-card__header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 20px;
        .service-card__title{
            font-size: 1.6rem;
            line-height: 110%;
        }
    }

    .service-card__body {
        display: flex;
        justify-content: space-between;
        gap: 40px;
    }

    .service-card__parameters {
        text-align: right;

        .service-card__price {
            display: inline-flex;
            gap: 5px;
            font-size: 1.4rem;
            font-weight: 700;
            white-space: nowrap;

            .discount-price {
                position: relative;
                &::after {
                    content: 'абонемент';
                    position: absolute;
                    right: 0;
                    top: -10px;
                    text-align: right;
                    font-size: 0.8rem;
                    font-weight: 600;
                }
            }

            .ruble {
                font-size: 1.2rem;
            }
        }

        .duration {
            font-weight: 600;
        }
    }

    @media screen and (max-width: 780px) {
        padding: 20px;
        .service-card__header {
            flex-direction: column-reverse;

            .button {
                display: none;
            }
        }

        .service-card__title{
            font-size: 1.4rem;
        }

        .service-card__body {
            flex-direction: column;
            align-items: center;
        }

         .service-card__parameters {
            display: flex;
            justify-content: space-between;
            width: 100%;
            align-items: center;
        }

        .buttton_mobile {
            display: inline-flex;
        }
    }
}

.course-card-item {
    width: 100%;
    min-height: 330px;
    /* aspect-ratio: 16 / 9; */
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    padding: 40px;
    gap: 20px;
    margin-bottom: calc(var(--bs-gutter-x));
    overflow: hidden;

    .course-card__image {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: -1;
        background-color: var(--green-color);
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        transition: 0.5s ease-in-out;
    }

    &:hover {
        .course-card__image {
            transform: scale(1.1);
        }
    }

    .course-card__content {
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
        gap: 10px;
        color: var(--linen-color);

        .course-card__title {
            font-size: 42px;
            font-weight: 400;
            line-height: 40px;
            letter-spacing: 0px;
            text-align: left;
            display: -webkit-box;
            -webkit-line-clamp: 2;
            -webkit-box-orient: vertical;
            overflow: hidden;
        }

        .course-card__description {
            font-size: 1rem;
            font-weight: 500;
            line-height: 105%;
            letter-spacing: 0px;
            text-align: left;
            display: -webkit-box;
            -webkit-line-clamp: 5;
            -webkit-box-orient: vertical;
            overflow: hidden;
        }
    }

    .course-card__buttons-container {
        display: flex;

        .course-card__button {
            border-color: var(--linen-color);
            color: var(--linen-color);
            transition: .5s ease-in-out;

            &:hover {
                background-color: var(--linen-color);
                color: var(--green-color);
            }
        }
    }

    @media screen and (max-width: 576px) {
        aspect-ratio: auto;
        height: auto;
        padding: 20px;
    }
}

.footer {
    .footer__top {
        padding: 20px 0;
    }

    .footer__logo {
        height: 80px;
    }

    .footer__copy {
        height: 58px;
        font-size: 0.9rem;
        display: flex;
        align-items: center;
        justify-content: space-between;
        color: var(--brown-light-color);
    }
}





.image-container {
    width: 100%;
    background-size: cover;
    background-position: center;
}

.owl-carousel-ifyou-container {
    overflow:hidden;
    margin:0;
    position: relative;
}

.owl-carousel-ifyou-3, .owl-carousel-ifyou-2 {
    .owl-stage-outer {
        overflow:visible;
        .owl-item:not(.active) {
            opacity: 0.1;
        }
    }
}

.ifyou-carousel, .offers-carousel, .team-carousel {
    position: relative;
}

.carousel__navigation {
    position: absolute;
    z-index:100;
    top: 50%;
    width: 100%;
    display: flex;
    justify-content: space-around;

    .carousel__navigation-item {
        cursor:pointer;
        position: absolute;
        width: 100px;
        height: 100%;
        background-color: transparent;
        /* border:solid var(--green-color) 5px;
        color: var(--green-color);
        border-radius: 50%; */
        display: flex;
        justify-content: center;
        align-items: center;
        transition: 0.5s;
        user-select: none;
        
        path {
            fill: var(--green-color);
            transition: 0.5s;
        }
        
        svg {
            width: 52px;
            height: 52px;
        }
        
        .icon-slider-arrow-left {
            transform: rotate(180deg);
        }

        &.carousel__navigation-item--prev {
            left: 0;
        }
        &.carousel__navigation-item----next {
            right: 0;
        }
        
        /* &.carousel__navigation-item--prev {
            left:-160px;
        }
        &.carousel__navigation-item----next {
            right:-160px;
        } */
    
    }
}

.carousel-control-next-icon, .carousel-control-prev-icon {
    width: 4rem;
    height: 4rem;
}


.ifyou-card {
    display: flex;
    flex-direction: row;
    width: 100%; 
    aspect-ratio: 16 / 10;
    
    .card-picture-item {
        min-width: 60%;
        background-color: var(--lite-grey-color);
        border-radius: 20px;
        overflow: hidden;
        transform: scale(1.01);
        

        .card-picture__image {
            width: 100%;
            aspect-ratio: 16 / 10;
            background-size: cover;
            background-position: center;
            border-radius: 20px;
        }

        .card-picture__content {
            padding: 20px;
            line-height: 110%;
            font-size: 1.2rem;
            text-align: left;
        }
    }

    @media screen and (max-width: 760px) {
        .card-picture-item  {
            .ifyou-card__content {
                min-height: 200px;
            }
        }
    }
}

.owl-carousel-ifyou-2 .ifyou-card {

    @media screen and (max-width: 760px) {
        aspect-ratio: 5 / 4;
    }
}

.owl-carousel-ifyou-3 .ifyou-card {
    aspect-ratio: 3 / 4
}


.page-content {
    & ul > li {
        position: relative;
        padding: 6px 0 6px 24px;
        list-style-type: none;

        &:before {
            content: "\f299";
            color: var(--green-color);
            font-size: 18px;
            font-family: var(--fa-family-brands);
            position: absolute;
            left: 0;
            top: 4px;
        }
    }

    & h2 {
        font-size: 1.6rem;
        font-weight: 700;
        color: var(--green-color);
    }

    & h3 {
        font-size: 1.4rem;
        font-weight: 700;
        color: var(--green-color);
    }

    & h4 {
        font-size: 1.2rem;
        font-weight: 700;
        color: var(--green-color);
    }

    & h5 {
        font-size: 1.1rem;
        font-weight: 700;
        color: var(--green-color);
    }

    & h6 {
        font-size: 1rem;
        font-weight: 700;
        color: var(--green-color);
    }
}

.gallery {
    & .img-boxed {
        margin-bottom: 24px;
        border: 1px solid var(--dark-linen-color);
        padding: 10px;
        background-color: var(--white-color);
    }
}

.about-flex-container {
    display: flex;
    gap: 40px;
    justify-content: center;
    align-items: center;
    margin-top: -60px;
    
    & .about-flex-img {
        max-width: 600px;
    }

    @media screen and (max-width: 800px) {
        margin-top: 0;
        gap: 20px;
        flex-direction: column-reverse;

        .about-flex-img {
            width: 300px;
        }
    }
    
    @media screen and (max-width: 1200px) {
        margin-top: 0;
        gap: 20px;

        .about-flex-img {
            width: 300px;
        }
    }
}

.program-accordion {
    & .accordion-item {
        border: 2px solid var(--green-color);
        background-color: var(--linen-color);
        margin-bottom: 4px;
        border-radius: 0;

        & .accordion-header {
            background-color: var(--green-color);
            color: var(--white-color);

            & .accordion-button {
                background-color: var(--green-color);
                color: var(--white-color);
                padding: 1.6rem;
                box-shadow: none;

                &::after {
                    background-image: url("data:image/svg+xml;charset=UTF-8,%3c?xml version='1.0' encoding='UTF-8'?%3e%3csvg id='Layer_1' xmlns='http://www.w3.org/2000/svg' version='1.1' viewBox='0 0 16 16'%3e%3c!-- Generator: Adobe Illustrator 29.4.0, SVG Export Plug-In . SVG Version: 2.1.0 Build 152) --%3e%3cdefs%3e%3cstyle%3e .st0 %7b fill: %23fff;%7d %3c/style%3e%3c/defs%3e%3cpath class='st0' d='M2,5l6,6,6-6'/%3e%3c/svg%3e ");
                }

                &:focus {
                    box-shadow: none;
                }
            }
        }
    }
}

.list-group {
    & .list-group-item {
        background-color: transparent;
        border-bottom-color: var(--brown-light-color);
        border-bottom-width: 2px;
        padding: 20px 0;

        & .list-group__link {
            text-decoration: none;
            color: var(--blue-color);
            display: flex;
            align-items: center;
            gap: 10px;

            & .list-group__icon {
                background-color: var(--green-color);
                color: var(--white-color);
                height: 40px;
                width: 40px;
                aspect-ratio: 1 / 1;
                display: inline-flex;
                align-items: center;
                justify-content: center;
                font-size: 0.9rem;
            }

            &:hover {
                color: var(--green-color);
            }
        }

        & .list-group__metro-line {
            width: 0.7rem;
            height: 0.7rem;
            aspect-ratio: 1 / 1;
            border-radius: 50%;
            margin-right: 3px;
            display: inline-flex;
            opacity: 0.7;

            &.orange {
                background-color: orange;
            }

            &.red {
                background-color: red;
            }

            &.green{
                background-color: green;
            }
        }
    }
}

.map {
    padding: 10px;
    border: 2px solid var(--brown-light-color);
    margin-bottom: 20px;
    background-color: var(--white-color);
}

.map-buttons-container {
    display: flex;
    gap: 20px;
}

.modal-telegram {
    .modal-content {
        padding: 3rem;
    }
}

.up-arrow {
    cursor: pointer;
    position: fixed;
    right: 20px;
    bottom: 20px;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid var(--brown-light-color);
    color: var(--brown-light-color);
    
}
